<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pizza 360</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<style>
  #footer {
   position:absolute;
   left:0px;
   width:100%;
   background:#999;
  }
  
</style>
<body>
  
    <div class="container">
        <div class="row">
            <div class="col-12">
                <nav class="navbar navbar-expand-lg navbar-light fixed-top pt-2 pb-2" width="100%" style="background-color: orange">
                    <div class="collapse navbar-collapse" id="navbarText">
                      <ul class="navbar-nav mr-auto col-12">
                        <li class="nav-item col-3">
                          <a class="nav-link font-weight-bold text-center" href="#">Trang Chủ</a>
                        </li>
                        <li class="nav-item font-weight-bold col-3 text-center">
                          <a class="nav-link" href="#combo">Combo</a>
                        </li>
                        <li class="nav-item font-weight-bold col-3 text-center">
                          <a class="nav-link" href="#pizza">Loại Pizza</a>
                        </li>
                        <li class="nav-item font-weight-bold col-3 text-center">
                            <a class="nav-link" href="#order">Gửi Đơn Hàng</a>
                        </li>
                      </ul>
                    </div>
                </nav>
            </div>
            <div class="mt-5 pt-4">
            <nav class="navbar navbar-expand-sm"> 
              <ul class="navbar-nav mr-auto">
                  <img class = "navbar-brand rounded-circle" style="width: 30%" src="Images/pizza-logo-58188.jpg ">
                <li class="nav-item">
                  <h4 class="nav-link text-warning font-weight-bold mb-0" >PIZZA 365</h4>
                  <p class="text-center text-warning font-italic font-weight-bold">Truly Italian !</p>
                </li>
              </ul>
            </nav>
          </div>
      <div class="container">
        <div id="carouselExampleIndicators" class="carousel slide col-12" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="Images/1.jpg" alt="First slide">
              <div class="carousel-caption d-none d-md-block">
                <h5>New Dishes</h5>
                <p>TUNA PIZZA</p>
              </div>
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="Images/2.jpg" alt="Second slide">
              <div class="carousel-caption d-none d-md-block">
                <p>OYSTER PIZZA</p>
              </div>
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="Images/3.jpg" alt="Third slide">
              <div class="carousel-caption d-none d-md-block">
                <p>SEAFOOD PIZZA</p>
              </div>
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="Images/4.jpg" alt="Forth slide">
              <div class="carousel-caption d-none d-md-block">
                <p>TROPICAL PIZZA</p>
              </div>
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
      <div class="container">
        <div class="card col-12" style="border:0;">
          <div class="card-header" style="background-color:white; border-bottom: 0;">
            <h3 class="text-center font-weight-bold" style="color: rgb(255, 187, 0);"> TẠI SAO LẠI PIZZA 365</h3>
            <hr class="mt-2" width="30%" color="orange"/>
          </div>
            <div class="card-deck mt-1">
              <div class="card">
                <div class="card-body" style="background-color:lightgoldenrodyellow ;">
                  <h4 class="card-title">Đa dạng</h4>
                  <p class="card-text">Số lượng pizza đa dạng, có đầy đủ các loại pizza đang hot hiện nay.</p>
                </div>
              </div>
              <div class="card">
                <div class="card-body" style="background-color:yellow ;" >
                  <h4 class="card-title">Chất lượng</h4>
                  <p class="card-text">Nguyên liệu sạch 100% rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm.</p>
                </div>
              </div>
              <div class="card">
                <div class="card-body" style="background-color: lightsalmon;">
                  <h4 class="card-title">Hương vị</h4>
                  <p class="card-text">Đảm bảo hương vị ngon, độc, lạ mà bạn chỉ có thể trải nghiệm từ Pizza 365.</p>
                </div>
              </div>
              <div class="card">
                <div class="card-body"style="background-color: orange;">
                  <h4 class="card-title">Dịch vụ</h4>
                  <p class="card-text">Nhân viên thân thiện, nhà hàng hiện đại, Dịch vụ giao hàng nhanh chất lượng, tân tiến.</p>
                </div>
              </div>
        </div>
      </div >
      <div class="container">
        <div class="card col-12 mt-5" style="border:0;">
          <div class="card-header" style="background-color:white; border-bottom: 0;">
            <h3 class="text-center font-weight-bold" style="color: rgb(255, 187, 0);"id="combo">CHỌN SIZE PIZZA</h3>
            <hr class="mt-2 mb-2" width="30%" style="background-color:rgb(255, 187, 0) ;"/>
            <p class="text-center" style="color: rgb(255, 187, 0);" >Chọn combo pizza phù hợp với nhu cầu của bạn.</p>
          </div>
            <div class="card-deck mt-1">
              <div class="card">
                <div class="card-header text-center" style="background-color:rgb(255, 187, 0) ;">
                  <h3>S (small)</h3>
                </div>
                <div class="card-body text-center" >
                  <p class="card-text"> Đường kính: <span class="font-weight-bold"> 20cm</span></p>
                  <hr>
                  <p class="card-text"> Sườn nướng: <span class="font-weight-bold"> 2</span></p>
                  <hr>
                  <p class="card-text"> Salad: <span class="font-weight-bold"> 200g</span></p>
                  <hr>
                  <p class="card-text"> Nước ngọt: <span class="font-weight-bold"> 2</span></p>
                  <hr>
                  <h2>150.000</h2>
                  <p>VNĐ</p>
                </div>
                <div class="card-footer">
                  <button class="col-12 btn btn-warning " id="btn-small">Chọn</button>
                </div>
              </div>
              <div class="card">
                <div class="card-header text-center" style="background-color:rgb(255, 187, 0) ;">
                  <h3>M (medium)</h3>
                </div>
                <div class="card-body text-center" >
                  <p class="card-text"> Đường kính: <span class="font-weight-bold"> 25cm</span></p>
                  <hr>
                  <p class="card-text"> Sườn nướng: <span class="font-weight-bold"> 4</span></p>
                  <hr>
                  <p class="card-text"> Salad: <span class="font-weight-bold"> 300g</span></p>
                  <hr>
                  <p class="card-text"> Nước ngọt: <span class="font-weight-bold"> 3</span></p>
                  <hr>
                  <h2>200.000</h2>
                  <p>VNĐ</p>
                </div>
                <div class="card-footer">
                  <button class="col-12 btn btn-warning" id="btn-medium">Chọn</button>
                </div>
              </div>
              <div class="card">
                <div class="card-header text-center" style="background-color:rgb(255, 187, 0) ;">
                  <h3>L (large)</h3>
                </div>
                <div class="card-body text-center" >
                  <p class="card-text"> Đường kính: <span class="font-weight-bold"> 30cm</span></p>
                  <hr>
                  <p class="card-text"> Sườn nướng: <span class="font-weight-bold"> 8</span></p>
                  <hr>
                  <p class="card-text"> Salad: <span class="font-weight-bold"> 500g</span></p>
                  <hr>
                  <p class="card-text"> Nước ngọt: <span class="font-weight-bold"> 4</span></p>
                  <hr>
                  <h2>250.000</h2>
                  <p>VNĐ</p>
                </div>
                <div class="card-footer">
                  <button class="col-12 btn btn-warning" id="btn-large">Chọn</button>
                </div>
              </div>
            </div>
              <div class="card col-12 mt-5" style="border:0;">
                <div class="card-header" style="background-color:white; border-bottom: 0;" id="pizza">
                  <h3 class="text-center font-weight-bold" style="color: rgb(255, 187, 0);">CHỌN LOẠI PIZZA</h3>
                  <hr class="mt-2 mb-2" width="30%" style="background-color:rgb(255, 187, 0) ;"/>
                </div>

                <div class="card-deck mb-2 text-center">
                  <div class="card mb-4 box-shadow">
                  <div class="card-header" style="padding: 0;">
                    <img src="Images/seafood.jpg" width="100%">
                  </div>
                  <div class="card-body d-flex flex-column">
                    <h3>OCEAN MANIA</h3>
                    <p>PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                    <P>Xốt cà chua, Phô mai Mozzarella, Tôm, Mực, Thanh cua, Hành tây</P>
                    <button type="button" class="btn btn-lg btn-block btn-warning mt-auto" id="btn-ocean">Chọn</button>
                  </div>
                </div>
                <div class="card mb-4 box-shadow">
                  <div class="card-header" style="padding: 0;">
                    <img src="Images/hawaiian.jpg" width="100%">      
                  </div>
                  <div class="card-body d-flex flex-column">
                    <h3>HAWAIIAN</h3>
                    <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                    <P>Xốt cà chua, Phô mai Mozzarella, Thịt dăm bông, Thơm</P>
                    <button type="button" class="btn btn-lg btn-block btn-warning mt-auto" id="btn-hawaii">Chọn</button>
                  </div>
                </div>
                  <div class="card mb-4 box-shadow">
                  <div class="card-header" style="padding: 0;">
                    <img src="Images/bacon.jpg" width="100%">
                  </div>
                  <div class="card-body d-flex flex-column">
                    <h3>CHEESY CHICKEN BACON</h3>
                    <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                    <P>Xốt Phô mai, Thịt gà, Thịt heo muối, Phô mai Mozzarella, cà chua</P>
                    <button type="button" class="btn btn-lg btn-block btn-warning mt-auto" id="btn-bacon">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="card col-12 mt-0" style="border:0;">
                <div class="card-header" style="background-color:white; border-bottom: 0;">
                  <h3 class="text-center font-weight-bold" style="color: rgb(255, 187, 0);">CHỌN ĐỒ UỐNG</h3>
                  <hr class="mt-2 mb-2" width="30%" style="background-color:rgb(255, 187, 0) ;"/>
                </div>
                <select class="form-control" name="" id="select-drink">

                </select>
                <div class="card col-12 mt-5" style="border:0;" id="order">
                  <div class="card-header" style="background-color:white; border-bottom: 0;">
                    <h3 class="text-center font-weight-bold" style="color: rgb(255, 187, 0);">GỬI ĐƠN HÀNG</h3>
                    <hr class="mt-2 mb-2" width="30%" style="background-color:rgb(255, 187, 0) ;"/>
                  </div>
                  <div class="row">
                    <div class="col-sm-12">
                      <div class="form-group">
                        <label for="fullname">Tên</label>
                        <input type="text" class="form-control" id="inp-fullname" placeholder="Nhập Tên">
                      </div>
                      <div class="form-group">
                        <label for="email">Email</label>
                        <input type="text" class="form-control" id="inp-email" placeholder="Email">
                      </div>
                      <div class="form-group">
                        <label for="dien-thoai">Điện thoại</label>
                        <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                      </div>
                      <div class="form-group">
                        <label for="dia-chi">Địa chỉ</label>
                        <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                      </div>
                      <div class="form-group">
                        <label for="voucher">Mã giảm giá</label>
                        <input type="text" class="form-control" id="inp-voucher" placeholder="Nhập mã giảm giá ">
                      </div>
                      <div class="form-group">
                        <label for="message">Lời nhắn </label>
                        <input type="text" class="form-control" id="inp-message" placeholder="Nhập lời nhắn">
                      </div>
                      <button type="button" style="background-color:rgb(255, 187, 0);" class="btn col-12" id="btn-send-order"><span class="font-weight-bold">Gửi</span></button>
                    </div>
                </div>
              </div>
        </div>
      </div>
    </div> 
  </div>

  <!-- vùng hiển thị thông tin đơn hàng(order) -->
  <div id="div-container-orderId" class="py-3 my-4" width="100%" style="display: none; background-color:rgb(255, 187, 0) ;">
    <div id="div-orderId-infor" class="text-dark p-3">Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</div>
    <div class="p-2 col-sm-12">
     <label class="col-sm-2">Mã đơn hàng:</label>
     <input type="text" placeholder="" id="orderId" class="text-dark bg-warning col-sm-8 ">
    </div>
  </div>
  
        <footer id="footer" class="py-3 my-4 " style="background-color:rgb(255, 187, 0);" width="100%">
          <h3 class="text-center mt-3">Footer</h3>
          <div class="col-md-12 text-center">
            <button class=" btn btn-dark">To the top</button>
          </div>
          <div class="col-md-12 text-center mt-2">
            <i class="fa fa-facebook-official w3-hover-opacity"></i>
            <i class="fa fa-instagram w3-hover-opacity"></i>
            <i class="fa fa-snapchat w3-hover-opacity"></i>
            <i class="fa fa-pinterest-p w3-hover-opacity"></i>
            <i class="fa fa-twitter w3-hover-opacity"></i>
          </div>
          <p class="text-center mt-2">Powered by DEVCAMP</p>
        </footer>

  <div class="modal fade" tabindex="-1" id="infor-order-modal">
    <div class="modal-dialog">
      <div class="modal-content">
          <div class="modal-header">
              <h5>Thông tin đơn hàng</h5>
              <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
              <form>
                  <div class="form-group">
                      <label>Họ và tên</label>
                      <input class="form-control" id="inp-fullname-modal">
                  </div>
                  <div class=" form-group">
                      <label> Email</label>
                      <input class="form-control" id="inp-email-modal">
                  </div>
                  <div class="form-group">
                      <label>Số điện thoại</label>
                      <input class="form-control" id="inp-mobile-modal">
                  </div>
                  <div class="form-group">
                      <label>Địa chỉ</label>
                      <input class="form-control" id="inp-adress-modal">
                  </div>
                  <div class="form-group">
                      <label>Lời nhắn</label>
                      <input class="form-control" id="inp-message-modal">
                  </div>
                  <div class="form-group">
                      <label> Mã giảm giá</label>
                      <input class="form-control" id="inp-voucher-modal">
                  </div>
                  <div class="form-group">
                      <label>Thông tin chi tiết</label>
                      <textarea class="form-control"id="show-info-order"></textarea>
                  </div>
              </form>
          <div class="modal-footer">
              <button class="btn btn-confirm" style="background-color:rgb(255, 187, 0) ;"type="button">Tạo đơn</button>
              <button class ="btn btn-dark btn-cancel" data-dismiss="modal" type="button">Quay lại</button>
          </div>
      </div>
</div>       
    
</body>
<script>
  "use strict";
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 
const gCOMBO_SMALL = "Small";
const gCOMBO_MEDIUM = "Medium";
const gCOMBO_LARGE = "Large";

var gComboSelected = [];
var gPizzaSelected = " ";
var gDrinkSelected = " ";
var gPercent = 0;

/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
$(document).ready(function(){
  //nút combo small được ấn
  $("#btn-small").on("click",function(){
    onBtnSmallComboClick(this);
  });
  //nút combo medium được ấn
  $("#btn-medium").on("click",function(){
    onBtnMediumComboClick(this);
  });
  //nút combo large được ấn
  $("#btn-large").on("click",function(){
    onBtnLargeComboClick(this);
  });

  //nút pizza ocean được ấn
  $("#btn-ocean").on("click",function(){
    onBtnPizzaOceanClick(this);
  });
  //nút pizza hawaii được ấn
  $("#btn-hawaii").on("click", function(){
    onBtnPizzaHawaiiClick(this)
  });
  //nút pizza bacon được ấn
  $("#btn-bacon").on("click", function(){
    onBtnPizzaBaconClick(this)
  });
  //load dữ liệu nước uống vào ô select
  callApiDrinkObj();

  //nút gửi order được ấn
  $("#btn-send-order").on("click",function(){
    onBtnSendOrderClick(this);
  });
  $(".btn-confirm").on("click",function(){
    gDrinkSelected = $("#select-drink").find(":selected").text();
    var vOrderObj = getDataCustomer();
    console.log(vOrderObj)
    callApiCreatNewOrder(vOrderObj);
  })
})

/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
//hàm gắn chức năng cho 3 nút ấn small, medium, large
function onBtnSmallComboClick(){
  gComboSelected = getMenuCombo("small", "20cm", 2, "200g", 2, 150000);
  $("#btn-small").css("background","yellow");
  $("#btn-medium").css("background","rgb(255, 187, 0)");
  $("#btn-large").css("background","rgb(255, 187, 0)");
  console.clear();
  gComboSelected.displayInConsoleLog();
}

function onBtnMediumComboClick(){
  gComboSelected = getMenuCombo("medium", "25cm", 4, "300g", 3, 200000);
  $("#btn-medium").css("background","yellow");
  $("#btn-small").css("background","rgb(255, 187, 0)");
  $("#btn-large").css("background","rgb(255, 187, 0)");
  console.clear("");
  gComboSelected.displayInConsoleLog();
}

function onBtnLargeComboClick(){
  gComboSelected = getMenuCombo("large", "30cm", 8, "500g", 4, 250000 );
  $("#btn-large").css("background","yellow");
  $("#btn-small").css("background","rgb(255, 187, 0)");
  $("#btn-medium").css("background","rgb(255, 187, 0)");
  console.clear();
  gComboSelected.displayInConsoleLog();
}
//hàm gắn chức năng cho 3 nút ấn chọn pizza
function onBtnPizzaOceanClick(){
  gPizzaSelected = "OCEAN MANIA";
  $("#btn-ocean").css("background","yellow");
  $("#btn-hawaii").css("background","rgb(255, 187, 0)");
  $("#btn-bacon").css("background","rgb(255, 187, 0)");
  console.clear();
  console.log("%c Pizza được chọn: " + gPizzaSelected , "color: orange");
  console.log(gComboSelected);
}
function onBtnPizzaHawaiiClick(){
  gPizzaSelected = "HAWAIIAN";
  $("#btn-hawaii").css("background","yellow");
  $("#btn-ocean").css("background","rgb(255, 187, 0)");
  $("#btn-bacon").css("background","rgb(255, 187, 0)");
  console.clear();
  console.log("%c Pizza được chọn: " + gPizzaSelected , "color: orange");
  console.log(gComboSelected);
}
function onBtnPizzaBaconClick(){
  gPizzaSelected = "CHEESY CHICKEN BACON";
  $("#btn-bacon").css("background","yellow");
  $("#btn-ocean").css("background","rgb(255, 187, 0)");
  $("#btn-hawaii").css("background","rgb(255, 187, 0)");
  console.clear();
  console.log("%c Pizza được chọn: " + gPizzaSelected , "color: orange");
  console.log(gComboSelected);
}
//gắn chức năng cho nút gửi order
function onBtnSendOrderClick(){
  gDrinkSelected = $("#select-drink").find(":selected").text();
  //B1: thu thập dữ liệu
  var vInforCustomer = getDataCustomer();
  //B2: validate dữ liệu
  var vDuLieuHopLe = validateData(vInforCustomer);
  if(vDuLieuHopLe){
  //B3: hiển thị thông tin
  $("#infor-order-modal").modal("show");
    loadDataToModal(vInforCustomer);
  }
}
/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
//hàm lấy thông tin khách hàng
function getDataCustomer(){
  var vName = $("#inp-fullname").val().trim();
  var vEmail = $("#inp-email").val().trim();
  var vPhoneNumber = $("#inp-dien-thoai").val();
  var vAddress = $("#inp-dia-chi").val().trim();
  var vVoucher = $("#inp-voucher").val().trim();
  var vMessage = $("#inp-message").val().trim();
  var vComboMenu =  gComboSelected;
  var vLoaiPizza = gPizzaSelected;

    if(vVoucher !="" && vVoucher!=  null){
     callApiVoucherDiscount(vVoucher);
    };

  var vInforCustomer ={
    menuSelected: vComboMenu,
    loaiPizza: vLoaiPizza,
    loaiNuoc: gDrinkSelected,
    hoTen: vName,
    email: vEmail,
    dienThoai: vPhoneNumber,
    diaChi: vAddress,
    voucher: vVoucher,
    message: vMessage,
    phanTramGiamGia : gPercent,
    totalPrice: function(){
      var vTotalPrice = this.menuSelected.priceVND * (1 - gPercent/100);
      return vTotalPrice;
    }
  };
  return vInforCustomer;
}

//hàm kiểm tra dữ liệu
function validateData(paramInput){
  if(paramInput.hoTen ===""){
    alert("Chưa nhập tên");
    return false;
  }
  if(paramInput.email ===""){
    alert ("Chưa nhập email");
    return false;
  }
  if(paramInput.dienThoai ===""){
    alert ("Chưa nhập số điện thoại");
    return false;
  }
  if(paramInput.diaChi ===""){
    alert ("Chưa nhập địa chỉ nhận hàng");
    return false;
  }
  if(paramInput.menuSelected.length === 0){
    alert("Chưa chọn combo");
    return false;
  }
  if(paramInput.loaiPizza === " "){
    alert("Chưa chọn loại pizza");
    return false;
  }
  if(paramInput.drink === "Tất cả loại nước uống"){
    alert("Vui lòng chọn loại nước uống");
    return false;
  }
  return true;
}
//hàm gọi API lấy voucher
function callApiVoucherDiscount(paramVoucher){
  $.ajax({
    url:"http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/" + paramVoucher,
    type:"GET",
    data:"json",
    async:false,
    success: function(voucherRes){
      $("#inp-voucher-modal").val(voucherRes.maVoucher);
       gPercent = voucherRes.phanTramGiamGia;
       return gPercent;
    },
    error:function(error){
      console.log("voucher không đúng");
    }
  });
}
//hiển thị thông tin đơn hàng vào modal
function loadDataToModal(paramObj){
  $("#inp-fullname-modal").val(paramObj.hoTen);
  $("#inp-email-modal").val(paramObj.email);
  $("#inp-mobile-modal").val(paramObj.dienThoai);
  $("#inp-adress-modal").val(paramObj.diaChi);
  $("#inp-message-modal").val(paramObj.message);
  $("#inp-voucher-modal").val(paramObj.voucher);
  $("#show-info-order").val("Khách hàng: " + paramObj.hoTen +" - "+
                            "Combo đã chọn: " + paramObj.menuSelected.menuName + " - "+
                            "Loại pizza: " + paramObj.loaiPizza + " - "+
                            "Phần Trăm giảm giá: " + gPercent + "%" + " - "+
                            "Phải Thanh Toán: " + paramObj.totalPrice());
}

//hàm lấy dữ liệu combo
function getMenuCombo(paramMenuName, paramDuongKinh, paramSuonNuong, paramSalad, paramDrink, paramPrice){
    var gMenu = {
        menuName:paramMenuName,
        duongKinhCM: paramDuongKinh,
        suonNuong: paramSuonNuong,
        salad: paramSalad,
        drink: paramDrink,
        priceVND: paramPrice,
        displayInConsoleLog(){
          console.log("%c Combo đã chọn","color:yellow");
          console.log("Kích cỡ combo: " + this.menuName);
          console.log("Đường kính pizza: " + this.duongKinhCM);
          console.log("Số lượng sườn nướng: " + this.suonNuong);
          console.log("Số lượng salad: " + this.salad);
          console.log("Số nước: " + this.drink);
          console.log("Giá: " + this.priceVND);
        },
      };
      return gMenu;
  }

  //gọi api nước uống
  function callApiDrinkObj(){
    
    $.ajax({
            url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
            type: "GET",
            dataType:"json",
            success:function(drinkRes){
              loadDataToDrinkSelect(drinkRes);
            },
            error:function(error){
              alert(error.responseText)
            }
    });
  }
  //hàm load đồ uống vào select
  function loadDataToDrinkSelect(paramDrinkRes) {
    var vDrinkSelect = $("#select-drink");
    $("<option/>", {
      text: "Tất cả loại nước uống",
      value: "all"
    }).appendTo(vDrinkSelect);

    for (let bI = 0; bI < paramDrinkRes.length; bI++) {
      var bDrinkOption = $("<option/>", {
        text: paramDrinkRes[bI].tenNuocUong,
        value: paramDrinkRes[bI].maNuocUong
      }).appendTo(vDrinkSelect);
    }
  }
  //hàm gọi API tạo đơn hàng khi bấm nút tạo đơn
  function callApiCreatNewOrder(paramOrder){
    var vObjectRequest = {
            kichCo: paramOrder.menuSelected.menuName,
            duongKinh: paramOrder.menuSelected.duongKinhCM,
            suon: paramOrder.menuSelected.suonNuong,
            salad: paramOrder.menuSelected.salad,
            loaiPizza: paramOrder.loaiPizza,
            idVourcher: paramOrder.voucher,
            idLoaiNuocUong: paramOrder.loaiNuoc,
            soLuongNuoc: paramOrder.menuSelected.drink,
            hoTen: paramOrder.hoTen,
            thanhTien: paramOrder.menuSelected.priceVND,
            email: paramOrder.email,
            soDienThoai: paramOrder.dienThoai,
            diaChi: paramOrder.diaChi,
            loiNhan: paramOrder.message
        }
    $.ajax({
      url:"http://203.171.20.210:8080/devcamp-pizza365/orders",
      type:"POST",
      data: JSON.stringify(vObjectRequest),
      contentType: "application/json",
      success: function(responseObject){
                    alert("thêm mới thành công Order: " + responseObject.orderCode);
                    console.log(responseObject);
                    showOrderInfo(responseObject.orderCode);
                },
                error: function(ajaxContext){
                    alert(ajaxContext.responseText);
                }
    });
  }
  //hiển thị thông tin mã đơn hàng khi bấm nút tạo đơn
  function showOrderInfo(paramOrderId) {
    $("#infor-order-modal").modal("hide");    
    $("#div-container-orderId").css("display","block")
    $("#orderId").val(paramOrderId);
  }
</script>
</html>